%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python2_version:  %define python2_version  %(%{__python2} -c "import sys; sys.stdout.write(sys.version[:3])")}

%define modn   mock
%define modv   1.0.1


Summary:       A mocking and patching library for testing in Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/m/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.0.1-build.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Foord <michael@voidspace.org.uk>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.3 python-setuptools
BuildRequires: python-unittest2
BuildArch:     noarch


%description
Mock is a library for testing in Python. It allows for replacing parts of
a system under test with mock objects and make assertions about how they
have been used.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE* README*
%doc --parents docs/*.txt
%{python2_sitelib}/%{modn}.py*
%{python2_sitelib}/*.egg-info


%changelog
* Tue Jan 13 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.1-1
- Initial build
